Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.liacs.subdisc
Class DAG

    java.lang.Object
      nl.liacs.subdisc.DAG

    public class DAG

extends java.lang.Object

Constructor Summary
`DAG(int theSize)`
`DAG(java.util.List<Column> theTargets)`

Method Summary
`void` | `addArc(int fromNode, int toNode, boolean onlyAdd)`
`boolean` | `addArcAcyclic(int fromNode, int toNode, boolean onlyAdd)`
`boolean[][]` | `determineVStructures()`
`void` | `fixDimensions(int nd)`
`java.lang.String` | `getName(int aNode)`
`NetworkNode` | `getNode(int nd)`
`int` | `getSize()`
`void` | `print()`
`boolean` | `removeArc(int fromNode, int toNode, boolean onlyRemove)`
`boolean` | `testVStructure(int x, int y)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DAG

    public DAG(int theSize)

### DAG

    public DAG(java.util.List<Column> theTargets)

Method Detail

### print

    public void print()

### getSize

    public int getSize()

### getNode

    public NetworkNode getNode(int nd)

### getName

    public java.lang.String getName(int aNode)

### addArc

    public void addArc(int fromNode,
                       int toNode,
                       boolean onlyAdd)

### removeArc

    public boolean removeArc(int fromNode,
                             int toNode,
                             boolean onlyRemove)

### addArcAcyclic

    public boolean addArcAcyclic(int fromNode,
                                 int toNode,
                                 boolean onlyAdd)

### fixDimensions

    public void fixDimensions(int nd)

### determineVStructures

    public boolean[][] determineVStructures()

### testVStructure

    public boolean testVStructure(int x,
                                  int y)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD